Unit taeh4r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AEH4R_p;

function taeh4r: String;

implementation

function taeh4r: String;
var
J,I,N,MM,_i,M,IERR :Integer;
RLB,RUB :Real;
EV :Array [0..2] of Real;
IRAB1 :Array [0..2] of Integer;
RAB1 :Array [0..19] of Real;
const
A :Array [0..15] of Real = ( 1.0,0.42,0.54,0.66,0.42,1.0,0.32,0.44,0.54,0.32,
1.0,0.22,0.66,0.44,0.22,1.0 );
begin
for _i:=0 to 19 do
 RAB1[_i] := 0.0e0;  //  
for _i:=0 to 3 do
 EV[_i] := 0.0e0;  //  
Result := '';  {   }
Result := Result + #$0D#$0A;
Result := Result + Format('%s',
 [' BCEHE HEKOTOPX COCTBEHHX HAEH BEECTBEHHO CMMETPECKO MATP' + #$0D#$0A +
 ' A' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[A[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
N := 4;
MM := 3;
RLB := 0.0;
RUB := 1.0;
AEH4R(N,A,EV,RLB,RUB,MM,M,IRAB1,RAB1,IERR);
Result := Result + Format('%s',[' PEYTAT']) + #$0D#$0A; 
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' A' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[A[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' EV' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[EV[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' IERR' + #$0D#$0A]);
Result := Result + Format('%8d ',[IERR]) + #$0D#$0A;
UtRes('taeh4r',Result);  {     taeh4r.res }
exit;
end;

end.
